summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2012-03-30 13:50:39 +0000
committerAlexis Ballier <aballier@gentoo.org>2012-03-30 13:50:39 +0000
commit4330d2c00f1184cb3f82cb9c28660d50f33e03ed (patch)
tree0c40000fcee9854d0bf8a19205075874e7d9d477 /eclass/texlive-common.eclass
parentfix build with ffmpeg git (diff)
downloadgentoo-2-4330d2c00f1184cb3f82cb9c28660d50f33e03ed.tar.gz
gentoo-2-4330d2c00f1184cb3f82cb9c28660d50f33e03ed.tar.bz2
gentoo-2-4330d2c00f1184cb3f82cb9c28660d50f33e03ed.zip
installing broken links has been non fatal only for texlive prior to 2010, which are now gone, remove the code for these versions and make it always fatal
Diffstat (limited to 'eclass/texlive-common.eclass')
-rw-r--r--eclass/texlive-common.eclass6
1 files changed, 2 insertions, 4 deletions
diff --git a/eclass/texlive-common.eclass b/eclass/texlive-common.eclass
index 11354a61a39e..ee055dc9ead8 100644
--- a/eclass/texlive-common.eclass
+++ b/eclass/texlive-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-common.eclass,v 1.16 2011/08/29 01:28:10 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-common.eclass,v 1.17 2012/03/30 13:50:39 aballier Exp $
# @ECLASS: texlive-common.eclass
# @MAINTAINER:
@@ -119,9 +119,7 @@ dobin_texmf_scripts() {
while [ $# -gt 0 ] ; do
local trg=$(basename ${1} | sed 's,\.[^/]*$,,' | tr '[:upper:]' '[:lower:]')
einfo "Installing ${1} as ${trg} bin wrapper"
- if [ "${PV#2008}" = "${PV}" -a "${PV#2009}" = "${PV}" ] ; then
- [ -x "${D}/usr/share/${1}" ] || die "Trying to install a non existing or non executable symlink to /usr/bin: ${1}"
- fi
+ [ -x "${D}/usr/share/${1}" ] || die "Trying to install a non existing or non executable symlink to /usr/bin: ${1}"
dosym ../share/${1} /usr/bin/${trg} || die "failed to install ${1} as $trg"
shift
done